

<?php $__env->startSection('main'); ?>

<!-- post
================================================== -->
<div class="row">
  <div class="column large-12">

      <article class="s-content__entry format-standard">

          <div class="s-content__media">
              <div class="s-content__post-thumb">
                  <img src="<?php echo e(getImage($post)); ?>" alt="" style="width:100%">
              </div>
          </div>

          <div class="s-content__entry-header">
              <h1 class="s-content__title s-content__title--post"><?php echo e($post->title); ?></h1>
          </div>

          <div class="s-content__primary">

              <div class="s-content__entry-content">

                  <?php echo $post->body; ?>


              </div>

              <div class="s-content__entry-meta">

                  <div class="entry-author meta-blk">
                      <div class="author-avatar">
                          <img class="avatar" src="<?php echo e(Gravatar::get($post->user->email)); ?>" alt="">
                      </div>
                      <div class="byline">
                          <span class="bytext"><?php echo app('translator')->get('Posted By'); ?></span>
                          <a href="<?php echo e(route('author', $post->user->id)); ?>"><?php echo e($post->user->name); ?></a>
                      </div>
                  </div>

                  <div class="meta-bottom">
                      
                      <div class="entry-cat-links meta-blk">
                          <div class="cat-links">
                              <span><?php echo app('translator')->get('In'); ?></span> 
                              <?php $__currentLoopData = $post->categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                  <a href="<?php echo e(route('category', $category->slug)); ?>"><?php echo e($category->title); ?></a>
                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                          </div>

                          <span><?php echo app('translator')->get('On'); ?></span>
                          <?php echo e(formatDate($post->created_at)); ?>

                      </div>

                      <div class="entry-tags meta-blk">
                          <span class="tagtext"><?php echo app('translator')->get('Tags'); ?></span>
                          <?php $__currentLoopData = $post->tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <a href="<?php echo e(route('tag', $tag->slug)); ?>"><?php echo e($tag->tag); ?></a>
                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      </div>

                  </div>

              </div>

              <div class="s-content__pagenav">
                  <?php if(isset($post->previous)): ?>
                      <div class="prev-nav">
                          <a href="<?php echo e(route('posts.display', $post->previous->slug)); ?>" rel="prev">
                              <span><?php echo app('translator')->get('Previous'); ?></span>
                              <?php echo e($post->previous->title); ?>

                          </a>
                      </div>
                  <?php endif; ?>
                  <?php if(isset($post->next)): ?>
                      <div class="next-nav">
                          <a href="<?php echo e(route('posts.display', $post->next->slug)); ?>" rel="next">
                              <span><?php echo app('translator')->get('Next One'); ?></span>
                              <?php echo e($post->next->title); ?>

                          </a>
                      </div>
                  <?php endif; ?>
               </div>

          </div>
      </article>

  </div>
</div>

<!-- comments
================================================== -->
<div class="comments-wrap">

  <div id="comments" class="row">
      <div id="commentsList" class="column large-12">      

          <?php if($post->valid_comments_count > 0): ?>
              <div id="forShow">
                  <p id="showbutton" class="text-center">
                      <a id="showcomments" href="<?php echo e(route('posts.comments', $post->id)); ?>" class="btn h-full-width"><?php echo app('translator')->get('Show comments'); ?></a>
                  </p>
                  <p id="showicon" class="h-text-center" hidden>
                      <span class="fa fa-spinner fa-pulse fa-3x fa-fw"></span>
                  </p>
              </div>
          <?php endif; ?>

      </div>
  </div>

  <?php if(Auth::check()): ?>

    <div class="row comment-respond">

        <div id="respond" class="column">

            <h3><?php echo app('translator')->get('Add Comment'); ?>
                <span id="forName"></span>
                <span><a id="abort" hidden href="#"><?php echo app('translator')->get('Abort reply'); ?></a></span>
            </h3>

            <div id="alert" class="alert-box" style="display: none">
                <p></p>
                <span class="alert-box__close"></span>
            </div>  

            <form id="messageForm" method="post" action="<?php echo e(route('posts.comments.store', $post->id)); ?>" autocomplete="off">
                <input id="commentId" name="commentId" type="hidden" value="">
                <div class="message form-field">
                    <textarea name="message" id="message" class="h-full-width" placeholder="<?php echo app('translator')->get('Your Message'); ?>"></textarea>
                </div>
                <br>
                <p id="forSubmit" class="text-center">
                    <input name="submit" id="submit" class="btn btn--primary btn-wide btn--large h-full-width" value="<?php echo app('translator')->get('Add Comment'); ?>" type="submit">
                </p>
                <p id="commentIcon" class="h-text-center" hidden>
                    <span class="fa fa-spinner fa-pulse fa-3x fa-fw"></span>
                </p>
            </form> 

        </div>

    </div>

  <?php endif; ?>

</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>
    <script>
        (() => {

            // Variables
            const headers = {
                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>', 
                'Content-Type': 'application/json',
                'Accept': 'application/json',
                'X-Requested-With': 'XMLHttpRequest'
            }
            const commentId = document.getElementById('commentId');
            const alert = document.getElementById('alert');
            const message = document.getElementById('message');
            const forName = document.getElementById('forName');
            const abort = document.getElementById('abort');
            const commentIcon = document.getElementById('commentIcon');
            const forSubmit = document.getElementById('forSubmit');

            // Add comment
            const addComment = async e => {
                e.preventDefault();

                // Get datas
                const datas = {
                    message: message.value
                };

                if(document.querySelector('#commentId').value != '') {
                    datas['commentId'] = commentId.value;
                } 

                // Icon
                commentIcon.hidden = false;
                forSubmit.hidden = true;

                // Send request
                const response = await fetch('<?php echo e(route('posts.comments.store', $post->id)); ?>', { 
                    method: 'POST',
                    headers: headers,
                    body: JSON.stringify(datas)
                });

                // Wait for response
                const data = await response.json();

                // Icon
                commentIcon.hidden = true;
                forSubmit.hidden = false;

                // Manage response
                if (response.ok) {
                    purge();                  
                    if(data == 'ok') {
                        showComments();
                        showAlert('success', '<?php echo app('translator')->get('Your comment has been saved'); ?>');
                    } else {
                        showAlert('info', "<?php echo app('translator')->get('Thanks for your comment. It will appear when an administrator has validated it. Once you are validated your other comments immediately appear.'); ?>");
                    }
                } else {
                    if(response.status == 422) {
                        showAlert('error', data.errors.message[0]);
                    } else {                
                        errorAlert();
                    }                
                }       
            }

            const errorAlert = () =>  Swal.fire({
                                        icon: 'error',
                                        title: '<?php echo app('translator')->get('Whoops!'); ?>',
                                        text: '<?php echo app('translator')->get('Something went wrong!'); ?>'
                                    });          

            // Show alert
            const showAlert = (type, text) => {
                alert.style.display = 'block';
                alert.className = '';
                alert.classList.add('alert-box', 'alert-box--' + type);
                alert.firstChild.textContent = text;
            }

            // Hide alert
            const hideAlert = () => alert.style.display = 'none';

            // Prepare show comments
            const prepareShowComments = e => {
                e.preventDefault();

                document.getElementById('showbutton').toggleAttribute('hidden');
                document.getElementById('showicon').toggleAttribute('hidden');
                showComments(); 
            }

            // Show comments
            const showComments = async () => {

                // Send request
                const response = await fetch('<?php echo e(route('posts.comments', $post->id)); ?>', { 
                    method: 'GET',
                    headers: headers
                });

                // Wait for response
                const data = await response.json();

                document.getElementById('commentsList').innerHTML = data.html;
                <?php if(Auth::check()): ?>
                    document.getElementById('respond').hidden = false;
                <?php endif; ?>
            }

            // Reply to comment
            const replyToComment = e => {              
                e.preventDefault();

                forName.textContent = `<?php echo app('translator')->get('Reply to'); ?> ${e.target.dataset.name}`;
                commentId.value = e.target.dataset.id;
                abort.hidden = false;
                message.focus();
            }

            // Abort reply
            const abortReply = (e) => {
                e.preventDefault();
                purge();       
            }

            // Purge reply
            const purge = () => {
                forName.textContent = '';
                commentId.value = '';                
                message.value = '';
                abort.hidden = true; 
            }

            // Delete comment
            const deleteComment = async e => {              
                e.preventDefault();

                Swal.fire({
                title: '<?php echo app('translator')->get('Really delete this comment?'); ?>',
                icon: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "<?php echo app('translator')->get('Yes'); ?>",
                cancelButtonText: "<?php echo app('translator')->get('No'); ?>",
                preConfirm: () => {
                    return fetch(e.target.getAttribute('href'), { 
                        method: 'DELETE',
                        headers: headers
                    })
                    .then(response => {
                        if (response.ok) {
                            showComments();
                        } else {
                            errorAlert();
                        }
                    });
                }
                });
            }

            // Listener wrapper
            const wrapper = (selector, type, callback, condition = 'true', capture = false) => {
                const element = document.querySelector(selector);
                if(element) {
                    document.querySelector(selector).addEventListener(type, e => { 
                        if(eval(condition)) {
                            callback(e);
                        }
                    }, capture);
                }
            };

            // Set listeners
            window.addEventListener('DOMContentLoaded', () => {
                wrapper('#showcomments', 'click', prepareShowComments);              
                wrapper('#abort', 'click', abortReply);
                wrapper('#message', 'focus', hideAlert);
                wrapper('#messageForm', 'submit', addComment);
                wrapper('#commentsList', 'click', replyToComment, "e.target.matches('.replycomment')");
                wrapper('#commentsList', 'click', deleteComment, "e.target.matches('.deletecomment')");
            })

        })()

    </script> 
<?php $__env->stopSection(); ?>
<?php echo $__env->make('front.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\laragon\www\monblog\resources\views/front/post.blade.php ENDPATH**/ ?>